IOSS 2.0

Namespaces | Functions | Variables
io_info.C File Reference
`#include "io_info.h"`
`#include <Ioss_Hex8.h>`
`#include <fmt/format.h>`
`#include <fmt/ostream.h>`
Include dependency graph for io_info.C:

## Namespaces
| anonymous_namespace{io_info.C}
| Ioss
| The main namespace for the Ioss library.

## Functions
void | anonymous_namespace{io_info.C}::info_nodeblock (Ioss::Region &region, const Info::Interface &interFace)
void | anonymous_namespace{io_info.C}::info_edgeblock (Ioss::Region &region)
void | anonymous_namespace{io_info.C}::info_faceblock (Ioss::Region &region)
void | anonymous_namespace{io_info.C}::info_elementblock (Ioss::Region &region, const Info::Interface &interFace)
void | anonymous_namespace{io_info.C}::info_structuredblock (Ioss::Region &region, const Info::Interface &interFace)
void | anonymous_namespace{io_info.C}::info_nodesets (Ioss::Region &region)
void | anonymous_namespace{io_info.C}::info_edgesets (Ioss::Region &region)
void | anonymous_namespace{io_info.C}::info_facesets (Ioss::Region &region)
void | anonymous_namespace{io_info.C}::info_elementsets (Ioss::Region &region)
void | anonymous_namespace{io_info.C}::info_sidesets (Ioss::Region &region, const Info::Interface &interFace)
void | anonymous_namespace{io_info.C}::info_coordinate_frames (Ioss::Region &region)
void | anonymous_namespace{io_info.C}::info_aliases (const Ioss::Region &region, const Ioss::GroupingEntity *ige, bool nl_pre, bool nl_post)
void | anonymous_namespace{io_info.C}::info_fields (const Ioss::GroupingEntity *ige, Ioss::Field::RoleType role, const std::string &header)
void | anonymous_namespace{io_info.C}::file_info (const Info::Interface &interFace)
void | anonymous_namespace{io_info.C}::group_info (Info::Interface &interFace)
void | anonymous_namespace{io_info.C}::info_df (const Ioss::GroupingEntity *ge, const std::string &prefix)
std::string | anonymous_namespace{io_info.C}::name (const Ioss::GroupingEntity *entity)
int64_t | anonymous_namespace{io_info.C}::id (Ioss::GroupingEntity *entity)
Ioss::PropertyManager | anonymous_namespace{io_info.C}::set_properties (const Info::Interface &interFace)
void | hex_volume (Ioss::ElementBlock *block, const std::vector< double > &coordinates)
void | anonymous_namespace{io_info.C}::element_volume (Ioss::Region &region)
int | anonymous_namespace{io_info.C}::print_groups (int exoid, std::string prefix)
void | anonymous_namespace{io_info.C}::info_nodeblock (Ioss::Region &region, const Ioss::NodeBlock &nb, const Info::Interface &interFace, const std::string &prefix="")
void | Ioss::io_info_file_info (const Info::Interface &interFace)
void | Ioss::io_info_group_info (Info::Interface &interFace)
void | Ioss::io_info_set_db_properties (const Info::Interface &interFace, Ioss::DatabaseIO *dbi)
void | Ioss::io_info_file_info (const Info::Interface &interFace, Ioss::Region &region)

## Variables
std::vector< char > | anonymous_namespace{io_info.C}::data

## Function Documentation

## ◆ hex_volume()

void hex_volume | ( | Ioss::ElementBlock * | block,
|  | const std::vector< double > & | coordinates
| ) |  |